import { EnumerationValue } from '@oinone/kunlun-shared';
import { FormBooleanSelectFieldWidget } from './FormBooleanSelectFieldWidget';
export declare class FormBooleanRadioFieldWidget extends FormBooleanSelectFieldWidget {
    initialize(props: any): this;
    protected get orientation(): string | undefined;
    protected get radioMode(): string | undefined;
    protected get rowLimit(): any;
    change(val: EnumerationValue | EnumerationValue[] | null | undefined): void;
}
/**
 * @deprecated please using FormBooleanRadioFieldWidget
 */
export declare const FormEnumBoolFieldRadioWidget: typeof FormBooleanRadioFieldWidget;
